Index: testsuite/lib/gfortran-dg.exp
===================================================================
--- testsuite/lib/gfortran-dg.exp	(revision 118449)
+++ testsuite/lib/gfortran-dg.exp	(working copy)
@@ -26,23 +26,23 @@
     set output_file [lindex $result 1]
 
     # gfortran error messages look like this:
-    #      In file [name]:[line]
+    #      [name]:[line]
     #
     #        some code
     #              1
-    #     Error: Some error at (1) and (2)
+    #     Error: Some error at (1)
     # or
-    #      In file [name]:[line]
+    #      [name]:[line]
     #
     #       some code
     #              1
-    #      In file [name]:[line2]
+    #      [name]:[line2]
     #
     #       some other code
     #         2
     #     Error: Some error at (1) and (2)
     # or
-    #      In file [name]:[line]
+    #      [name]:[line]
     #
     #       some code and some more code
     #              1       2
@@ -59,7 +59,7 @@
     # Note that these regexps only make sense in the combinations used below.
     # Note also that is imperative that we first deal with the form with
     # two loci.
-    set locus_regexp " In file (\[^\n\]*)\n\n\[^\n\]*\n\[^\n\]*\n"
+    set locus_regexp " (\[^\n\]*)\n\n\[^\n\]*\n\[^\n\]*\n"
     set diag_regexp "(\[^\n\]*)\n"
 
     set two_loci "$locus_regexp$locus_regexp$diag_regexp"
Index: fortran/error.c
===================================================================
--- fortran/error.c	(revision 118449)
+++ fortran/error.c	(working copy)
@@ -134,7 +134,7 @@
 
   lb = loc->lb;
   f = lb->file;
-  error_printf ("In file %s:%d\n", f->filename,
+  error_printf ("%s:%d\n", f->filename,
 #ifdef USE_MAPPED_LOCATION
 		LOCATION_LINE (lb->location)
 #else
